# Class XPathAssertion

java.lang.Object
org.apache.jmeter.testelement.AbstractTestElement
org.apache.jmeter.testelement.AbstractScopedTestElement
org.apache.jmeter.testelement.AbstractScopedAssertion
org.apache.jmeter.assertions.XPathAssertion

All Implemented Interfaces:
  `Serializable, Cloneable, Assertion, Searchable, TestElement`

public class XPathAssertion extends AbstractScopedAssertion implements Serializable, Assertion
Checks if the result is a well-formed XML content and whether it matches an XPath

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_XPATH`

### Fields inherited from interface TestElement

`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

## Constructor Summary

Constructors
Constructor
Description
`XPathAssertion()`

## Method Summary

Modifier and Type
Method
Description
`AssertionResult`
`getResult(SampleResult response)`
Returns the result of the Assertion.
`String`
`getXPathString()`
Get The XPath String that will be used in matching the document
`boolean`
`isDownloadDTDs()`
`boolean`
`isNamespace()`
Is this namespace aware?
`boolean`
`isNegated()`
Negate the XPath test, that is return true if something is not found.
`boolean`
`isQuiet()`
`boolean`
`isTolerant()`
Is this using tolerant mode?
`boolean`
`isValidating()`
Is this validating
`boolean`
`isWhitespace()`
Is this whitepsace ignored.
`boolean`
`reportErrors()`
`void`
`setDownloadDTDs(boolean val)`
`void`
`setNamespace(boolean namespace)`
Set whether this is namespace aware
`void`
`setNegated(boolean negate)`
`void`
`setQuiet(boolean val)`
`void`
`setReportErrors(boolean val)`
`void`
`setShowWarnings(boolean val)`
`void`
`setTolerant(boolean tolerant)`
Set tolerant mode if required
`void`
`setValidating(boolean validate)`
Set use validation
`void`
`setWhitespace(boolean whitespace)`
Set whether to ignore element whitespace
`void`
`setXPathString(String xpath)`
Set the XPath String this will be used as an xpath
`boolean`
`showWarnings()`

### Methods inherited from class AbstractScopedAssertion

`getScopeName`

### Methods inherited from class AbstractScopedTestElement

`fetchScope, getSampleList, getVariableName, isScopeAll, isScopeChildren, isScopeParent, isScopeVariable, isScopeVariable, setScopeAll, setScopeChildren, setScopeParent, setScopeVariable`

### Methods inherited from class AbstractTestElement

`addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

### Methods inherited from class Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_XPATH

public static final String DEFAULT_XPATH

See Also:
  - Constant Field Values

## Constructor Details

### XPathAssertion

public XPathAssertion()

## Method Details

### getResult

public AssertionResult getResult(SampleResult response)
Returns the result of the Assertion. Checks if the result is well-formed XML, and that the XPath expression is matched (or not, as the case may be)

Specified by:
  `getResult` in interface `Assertion`
Parameters:
  `response` - the SampleResult containing information about the Sample (duration, success, etc)
Returns:
  the AssertionResult containing the information about whether the assertion passed or failed.

### getXPathString

public String getXPathString()
Get The XPath String that will be used in matching the document

Returns:
  String xpath String

### setXPathString

public void setXPathString(String xpath)
Set the XPath String this will be used as an xpath

Parameters:
  `xpath` - String

### setWhitespace

public void setWhitespace(boolean whitespace)
Set whether to ignore element whitespace

Parameters:
  `whitespace` - Flag whether whitespace elements should be ignored

### setValidating

public void setValidating(boolean validate)
Set use validation

Parameters:
  `validate` - Flag whether validation should be used

### setNamespace

public void setNamespace(boolean namespace)
Set whether this is namespace aware

Parameters:
  `namespace` - Flag whether namespace should be used

### setTolerant

public void setTolerant(boolean tolerant)
Set tolerant mode if required

Parameters:
  `tolerant` - true/false

### setNegated

public void setNegated(boolean negate)

### isWhitespace

public boolean isWhitespace()
Is this whitepsace ignored.

Returns:
  boolean

### isValidating

public boolean isValidating()
Is this validating

Returns:
  boolean

### isNamespace

public boolean isNamespace()
Is this namespace aware?

Returns:
  boolean

### isTolerant

public boolean isTolerant()
Is this using tolerant mode?

Returns:
  boolean

### isNegated

public boolean isNegated()
Negate the XPath test, that is return true if something is not found.

Returns:
  boolean negated

### setReportErrors

public void setReportErrors(boolean val)

### reportErrors

public boolean reportErrors()

### setShowWarnings

public void setShowWarnings(boolean val)

### showWarnings

public boolean showWarnings()

### setQuiet

public void setQuiet(boolean val)

### isQuiet

public boolean isQuiet()

### setDownloadDTDs

public void setDownloadDTDs(boolean val)

### isDownloadDTDs

public boolean isDownloadDTDs()